Summary: A simple python-based bootloader to fake PXE booting for Xen DomUs.
Name:    pypxeboot
Version: 0.0.2
Release: 6
Group:   System Environment/Daemons
License: GPL
URL: http://www.cs.tcd.ie/Stephen.Childs/pypxeboot
Source0: pypxeboot-%{version}.tar.gz
Patch0: pypxeboot-udhcpc-patch.patch
Patch1: pypxeboot-mac-parser-enhancement.patch
Patch2: pypxeboot-strip.patch
Patch3: pypxeboot-cfg-file.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: udhcp >= 0.9.8-2, tftp >= 0.39

%description
pypxeboot uses a modified version of udhcpc that allows MAC address to be passed on
the command line. Also uses tftp client to download configuration and images.

%prep 
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/udhcpc
mkdir -p %{buildroot}/usr/share/pypxeboot
install pypxeboot %{buildroot}/usr/bin/pypxeboot
install README %{buildroot}/usr/share/pypxeboot/README
install COPYING %{buildroot}/usr/share/pypxeboot/COPYING
install AUTHORS %{buildroot}/usr/share/pypxeboot/AUTHORS
install outputpy.udhcp.sh %{buildroot}/usr/share/udhcpc/outputpy.udhcp.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/share/udhcpc/outputpy.udhcp.sh
/usr/share/pypxeboot/*

%changelog
* Fri Feb 29 2008 Zhigang Wang <zhigang.x.wang@oracle.com> - [0.0.2-6]
- only strip trailing spaces, not valid characters
- use same search order as pxelinux for config file

* Thu Feb 28 2008 Kevin Lyons <kevin.x.lyons@oracle.com> - [0.0.2-5]
- Adjust pypxeboot-mac-parser-enhancement.patch for bugz #5268

* Fri Feb 22 2008 Kevin Lyons <kevin.x.lyons@oracle.com> - [0.0.2-4]
- Remove the Vendor tag to allow rpmbuild to pick it up from the macros

* Wed Feb 20 2008 Kevin Lyons <kevin.x.lyons@oracle.com> - [0.0.2-3]
- added patch from Zhigang to enhance parsing of the mac option

* Sat Dec 29 2007 Zhigang Wang <zhigang.x.wang@oracle.com> - [0.0.2-2]
- fix udhcpc path issue

* Fri Feb 16 2007 Stephen Childs <childss@cs.tcd.ie> - [0.0.2-1]
- better management of downloaded kernels
- changed requirement to require modified udhcp

* Tue Feb 06 2007 Kurt Hackel <kurt.hackel@oracle.com> - [0.0.1-1]
- initial version of specfile
